/* This program creates a datagram socket,binds a name
to it, reads from the socket and sends back the 
data, which was read from socket.
*/

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#define S_PORT 7777		/* server port */

main()
{
int sd, /* socket descriptor */
addrlen_client; /* length of address(sender) */

struct sockaddr_in client, server;

char buf[1024]; /* buffer for receiving and
sending data */

/* Create socket from which to read. */
sd = socket (AF_INET, SOCK_DGRAM, 0);
if (sd < 0)
{
perror("opening datagram socket");
exit(1);
}

/* Create name with wildcards */
server.sin_family = AF_INET;
server.sin_port = htons(S_PORT);
server.sin_addr.s_addr = htonl(INADDR_ANY);
if (bind (sd, (struct sockaddr*)&server, sizeof(server)) < 0)
{
perror ("binding datagram socket");
exit(1);
}

bzero(buf,sizeof(buf)); /* clear buffer */
addrlen_client = sizeof(client); 
/* set addrlen */

/* Wait and read from socket.	*/
if (recvfrom(sd, buf, sizeof(buf), 0, 
(struct sockaddr*)&client,
&addrlen_client) < 0)
{
perror("receiving datagram message ");
exit(1);
}

/* Send data back (echo). */
if (sendto(sd, buf, sizeof(buf), 0,
(struct sockaddr *)&client,
sizeof(client)) < 0)
{
perror("sending datagram message ");
exit(1);
}
	
/* Close socket. */
close(sd);
exit(0);
}
