#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

main()
{
int sd; /* socket descriptor */
struct sockaddr_in server, client;
struct servent * sp, *getservbyname();

/* Create socket. */
sd = socket (AF_INET, SOCK_STREAM, 0);
if (sd < 0)
{
perror("rlogin: socket ");
exit(1);
}

/* Locate the service definition for a 
remote login with getservbyname() call */
sp = getservbyname("login", "tcp");
if (sp == 0)
{
fprintf(stderr, "tcp login: unknown service \n");
	exit(2);
}

/* Details to disassociate server from 
controlling terminal will not be 
considered here. */

/* ...
*/

server.sin_family = AF_INET;
server.sin_addr.s_addr = htonl(INADDR_ANY);
server.sin_port = sp->s_port;

/* Server-Socket gets address. */
if bind(sd, (struct sockaddr*)&server,
sizeof(server)) < 0)
{
syslog(LOG_ERR, "rlogin: bind");
exit(3);
}
listen (sd, 5);
for (;;)
{
int nsd;/* new socket descriptor for accept */
int addrlen_client = sizeof(client); 
nsd = accept(sd, (struct sockaddr *) &client,
&addrlen_client);

if (nsd < 0)
{
syslog(LOG_ERR, "rlogin: accept "); 
continue;
}
/* Parallel server, create child */
if (fork() == 0)
{
/* child */
close(sd); /* close socket of parent */
doit(nsd, &client); 
/* Does details of the remote login protocol. */
}
/* parent */
close(nsd);
}
exit(0);
}
