interface AirlineReservation {
typedef unsigned long ConfirmationNumber;
enum SeatKind { Window, Aisle, Middle};
exception BadFrequentFlyerNumber {};
exception SeatNotAvailable {};
exception BadConfirmationNumber{};

ConfirmationNumber make_reservation (
in string passenger_name,
in unsigned long frequent_flyer_number,
inout SeatKind seat_kind,
out string seat_assignment) 
raises (BadFrequentFlyerNumber,SeatNotAvailable)
context (TicketAgent, Agency);

oneway void cancel_reservation (
in ConfirmationNumber Number)
raises (BadConfirmationNumber)
context (TicketAgent, Agency);
